export interface JenkinsTaskVO {
  /**
   * 任务表主键
   */
  taskId: string | number;

  /**
   * 任务名
   */
  name: string;

  /**
   * 类型（1后端,2前端）
   */
  type: string;

  /**
   * 仓库地址
   */
  gitUrl: string;

  /**
   * 分支名
   */
  branch: string;

  /**
   * 服务器
   */
  server: string;

  /**
   * 打包命令
   */
  packagingCommand: string;

  /**
   * 执行命令
   */
  execCommand: string;

  /**
   * 构建时间
   */
  finalBuild: string;

}

export interface JenkinsTaskForm extends BaseEntity {
  /**
   * 任务表主键
   */
  taskId?: string | number;

  /**
   * 任务名
   */
  name?: string;

  /**
   * 类型（1后端,2前端）
   */
  type?: string;

  /**
   * 仓库地址
   */
  gitUrl?: string;

  /**
   * 分支名
   */
  branch?: string;

  /**
   * 服务器
   */
  server?: string;

  /**
   * 打包命令
   */
  packagingCommand?: string;

  /**
   * 执行命令
   */
  execCommand?: string;

  /**
   * 构建时间
   */
  finalBuild?: string;

}

export interface JenkinsTaskQuery extends PageQuery {

  /**
   * 任务名
   */
  name?: string;

  /**
   * 类型（1后端,2前端）
   */
  type?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}



